Fetch Top Productive Perfomer
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
timeZone: 'Asia/Kolkata',
userId: ['ab7c4f30-1024-471a-a767-739df0dc53fd'],
teamId: []
})
};
fetch('https://api.trackpilots.com/v1/dashboard/top-productive-performer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.trackpilots.com/v1/dashboard/top-productive-performer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"timeZone": "Asia/Kolkata",
"userId": [
"ab7c4f30-1024-471a-a767-739df0dc53fd"
],
"teamId": []
}
'import requests
url = "https://api.trackpilots.com/v1/dashboard/top-productive-performer"
payload = {
"timeZone": "Asia/Kolkata",
"userId": ["ab7c4f30-1024-471a-a767-739df0dc53fd"],
"teamId": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"statusCode": 200,
"statusMessage": "Fetched top performer successfully",
"error": null,
"data": [
{
"rank": 1,
"user": {
"name": "Sakthivel Govinthan",
"profilePicUrl": "https://trackpilots.s3.amazonaws.com/profile-pic/9b8090ae-e4c9-49ee-9dbf-62817262d05a.png"
},
"productivity": {
"percentage": 36.96
}
}
]
}Dashboard
Fetch Top Productive Perfomer
Fetch the top productive performers today
POST
/
v1
/
dashboard
/
top-productive-performer
Fetch Top Productive Perfomer
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
timeZone: 'Asia/Kolkata',
userId: ['ab7c4f30-1024-471a-a767-739df0dc53fd'],
teamId: []
})
};
fetch('https://api.trackpilots.com/v1/dashboard/top-productive-performer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.trackpilots.com/v1/dashboard/top-productive-performer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"timeZone": "Asia/Kolkata",
"userId": [
"ab7c4f30-1024-471a-a767-739df0dc53fd"
],
"teamId": []
}
'import requests
url = "https://api.trackpilots.com/v1/dashboard/top-productive-performer"
payload = {
"timeZone": "Asia/Kolkata",
"userId": ["ab7c4f30-1024-471a-a767-739df0dc53fd"],
"teamId": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"statusCode": 200,
"statusMessage": "Fetched top performer successfully",
"error": null,
"data": [
{
"rank": 1,
"user": {
"name": "Sakthivel Govinthan",
"profilePicUrl": "https://trackpilots.s3.amazonaws.com/profile-pic/9b8090ae-e4c9-49ee-9dbf-62817262d05a.png"
},
"productivity": {
"percentage": 36.96
}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
- Option 1
- Option 2
Either userId or teamId must be provided. Both cannot be empty.
